From 9d76429bce438744364fb7d92d4ee2f4f7acff4b Mon Sep 17 00:00:00 2001
From: David Malcolm <dmalcolm@redhat.com>
Date: Wed, 14 Jun 2017 16:38:22 -0400
Subject: [PATCH 3/3] FIXME: add pragmas

---
 gcc/config/i386/i386.h    | 5 +++++
 gcc/double-int.h          | 5 +++++
 gcc/gengtype.c            | 5 +++++
 gcc/read-md.h             | 5 +++++
 gcc/real.h                | 5 +++++
 gcc/rtl.h                 | 5 +++++
 gcc/system.h              | 5 +++++
 gcc/vec.h                 | 5 +++++
 gcc/wide-int.h            | 5 +++++
 include/obstack.h         | 5 +++++
 libcpp/include/line-map.h | 5 +++++
 11 files changed, 55 insertions(+)

diff --git a/gcc/config/i386/i386.h b/gcc/config/i386/i386.h
index 7311e87..586af9d 100644
--- a/gcc/config/i386/i386.h
+++ b/gcc/config/i386/i386.h
@@ -22,6 +22,9 @@ a copy of the GCC Runtime Library Exception along with this program;
 see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 <http://www.gnu.org/licenses/>.  */
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 /* The purpose of this file is to define the characteristics of the i386,
    independent of assembler syntax or operating system.
 
@@ -2750,6 +2753,8 @@ extern void debug_dispatch_window (int);
 
 #define TARGET_SUPPORTS_WIDE_INT 1
 
+#pragma GCC diagnostic pop
+
 /*
 Local variables:
 version-control: t
diff --git a/gcc/double-int.h b/gcc/double-int.h
index c01a671..d0be5e2 100644
--- a/gcc/double-int.h
+++ b/gcc/double-int.h
@@ -20,6 +20,9 @@ along with GCC; see the file COPYING3.  If not see
 #ifndef DOUBLE_INT_H
 #define DOUBLE_INT_H
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 /* A large integer is currently represented as a pair of HOST_WIDE_INTs.
    It therefore represents a number with precision of
    2 * HOST_BITS_PER_WIDE_INT bits (it is however possible that the
@@ -467,4 +470,6 @@ wi::int_traits <double_int>::decompose (HOST_WIDE_INT *scratch, unsigned int p,
   return wi::storage_ref (scratch, 2, precision);
 }
 
+#pragma GCC diagnostic pop
+
 #endif /* DOUBLE_INT_H */
diff --git a/gcc/gengtype.c b/gcc/gengtype.c
index 904038d..e3b20f5 100644
--- a/gcc/gengtype.c
+++ b/gcc/gengtype.c
@@ -1046,6 +1046,9 @@ nreverse_pairs (pair_p list)
 /* We don't want to see codes that are only for generator files.  */
 #undef GENERATOR_FILE
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 enum rtx_code
 {
 #define DEF_RTL_EXPR(ENUM, NAME, FORMAT, CLASS) ENUM ,
@@ -1066,6 +1069,8 @@ static const char *const rtx_format[NUM_RTX_CODE] = {
 #undef DEF_RTL_EXPR
 };
 
+#pragma GCC diagnostic pop
+
 static int rtx_next_new[NUM_RTX_CODE];
 
 /* We also need codes and names for insn notes (not register notes).
diff --git a/gcc/read-md.h b/gcc/read-md.h
index 5a79679..48e27ca 100644
--- a/gcc/read-md.h
+++ b/gcc/read-md.h
@@ -20,6 +20,9 @@ along with GCC; see the file COPYING3.  If not see
 #ifndef GCC_READ_MD_H
 #define GCC_READ_MD_H
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 #include "obstack.h"
 
 /* Records a position in the file.  */
@@ -340,4 +343,6 @@ extern void upcase_string (char *);
 extern void traverse_enum_types (htab_trav, void *);
 extern struct enum_type *lookup_enum_type (const char *);
 
+#pragma GCC diagnostic pop
+
 #endif /* GCC_READ_MD_H */
diff --git a/gcc/real.h b/gcc/real.h
index e7248e3..626eff8 100644
--- a/gcc/real.h
+++ b/gcc/real.h
@@ -20,6 +20,9 @@
 #ifndef GCC_REAL_H
 #define GCC_REAL_H
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 /* An expanded form of the represented number.  */
 
 /* Enumerate the special cases of numbers that we encounter.  */
@@ -518,4 +521,6 @@ extern void real_from_integer (REAL_VALUE_TYPE *, format_helper,
 			       const wide_int_ref &, signop);
 #endif
 
+#pragma GCC diagnostic pop
+
 #endif /* ! GCC_REAL_H */
diff --git a/gcc/rtl.h b/gcc/rtl.h
index 9333042..637b799 100644
--- a/gcc/rtl.h
+++ b/gcc/rtl.h
@@ -20,6 +20,9 @@ along with GCC; see the file COPYING3.  If not see
 #ifndef GCC_RTL_H
 #define GCC_RTL_H
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 /* This file is occasionally included by generator files which expect
    machmode.h and other files to exist and would not normally have been
    included by coretypes.h.  */
@@ -3837,4 +3840,6 @@ extern void gt_ggc_mx (rtx &);
 extern void gt_pch_nx (rtx &);
 extern void gt_pch_nx (rtx &, gt_pointer_operator, void *);
 
+#pragma GCC diagnostic pop
+
 #endif /* ! GCC_RTL_H */
diff --git a/gcc/system.h b/gcc/system.h
index 0cbf60a..9246949 100644
--- a/gcc/system.h
+++ b/gcc/system.h
@@ -22,6 +22,9 @@ along with GCC; see the file COPYING3.  If not see
 #ifndef GCC_SYSTEM_H
 #define GCC_SYSTEM_H
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 /* Define this so that inttypes.h defines the PRI?64 macros even
    when compiling with a C++ compiler.  Define it here so in the
    event inttypes.h gets pulled in by another header it is already
@@ -1169,4 +1172,6 @@ helper_const_non_const_cast (const char *p)
 /* Get definitions of HOST_WIDE_INT.  */
 #include "hwint.h"
 
+#pragma GCC diagnostic pop
+
 #endif /* ! GCC_SYSTEM_H */
diff --git a/gcc/vec.h b/gcc/vec.h
index 755a1f8..bbc8e23 100644
--- a/gcc/vec.h
+++ b/gcc/vec.h
@@ -22,6 +22,9 @@ along with GCC; see the file COPYING3.  If not see
 #ifndef GCC_VEC_H
 #define GCC_VEC_H
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 /* Some gen* file have no ggc support as the header file gtype-desc.h is
    missing.  Provide these definitions in case ggc.h has not been included.
    This is not a problem because any code that runs before gengtype is built
@@ -1778,4 +1781,6 @@ release_vec_vec (vec<vec<T> > &vec)
 # pragma GCC poison m_vec m_vecpfx m_vecdata
 #endif
 
+#pragma GCC diagnostic pop
+
 #endif // GCC_VEC_H
diff --git a/gcc/wide-int.h b/gcc/wide-int.h
index 7235dcd..e1e058d 100644
--- a/gcc/wide-int.h
+++ b/gcc/wide-int.h
@@ -20,6 +20,9 @@ along with GCC; see the file COPYING3.  If not see
 #ifndef WIDE_INT_H
 #define WIDE_INT_H
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 /* wide-int.[cc|h] implements a class that efficiently performs
    mathematical operations on finite precision integers.  wide_ints
    are designed to be transient - they are not for long term storage
@@ -3274,4 +3277,6 @@ wi::set_bit_in_zero (unsigned int bit)
   return shifted_mask <T> (bit, 1, false);
 }
 
+#pragma GCC diagnostic pop
+
 #endif /* WIDE_INT_H */
diff --git a/include/obstack.h b/include/obstack.h
index 2afd55d..ff4a42d 100644
--- a/include/obstack.h
+++ b/include/obstack.h
@@ -16,6 +16,9 @@
    License along with the GNU C Library; if not, see
    <http://www.gnu.org/licenses/>.  */
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 /* Summary:
 
    All the apparent functions defined here are macros. The idea
@@ -533,3 +536,5 @@ extern int obstack_exit_failure;
 #endif
 
 #endif /* _OBSTACK_H */
+
+#pragma GCC diagnostic pop
diff --git a/libcpp/include/line-map.h b/libcpp/include/line-map.h
index ba422ed..d7d8f7f 100644
--- a/libcpp/include/line-map.h
+++ b/libcpp/include/line-map.h
@@ -22,6 +22,9 @@ along with this program; see the file COPYING3.  If not see
 #ifndef LIBCPP_LINE_MAP_H
 #define LIBCPP_LINE_MAP_H
 
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wspellcheck-comments"
+
 #ifndef GTY
 #define GTY(x) /* nothing */
 #endif
@@ -1890,4 +1893,6 @@ void line_table_dump (FILE *, struct line_maps *, unsigned int, unsigned int);
 extern expanded_location
 linemap_client_expand_location_to_spelling_point (source_location );
 
+#pragma GCC diagnostic pop
+
 #endif /* !LIBCPP_LINE_MAP_H  */
-- 
1.8.5.3

